KCAPI_MD_DIGESTSIZE(3)

NAME
kcapi_md_digestsize - return the size of the message digest

SYNOPSIS

uint32_t kcapi_md_digestsize(struct kcapi_handle * handle);

ARGUMENTS

handle
    [in] cipher handle

DESCRIPTION

The returned message digest size can be used before the kcapi_md_final function invocation to determine the right memory size to be allocated for this call.

return > 0 specifying the block size; 0 on error

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT